Get a discovery run
curl --request GET \
--url https://useorgx.com/api/v1/discovery-runs/{runId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://useorgx.com/api/v1/discovery-runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/discovery-runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"run": {
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"mode": "bounded_sync",
"status": "queued",
"initiatedBy": {
"type": "human",
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101"
},
"query": "launch readiness",
"sourceKinds": [
"work"
],
"sourceCursors": {},
"observationCount": 0,
"candidateProcessCardCount": 0,
"citationCount": 0,
"costMicros": "120000",
"confidence": 0,
"startedAt": "2026-08-18T18:30:00.000Z",
"completedAt": "2026-08-18T18:30:00.000Z",
"sourceHealth": [
{
"sourceId": "92340ce0-9843-48dc-8014-d7c21c191b23",
"sourceKind": "work",
"status": "connected",
"cursor": "evt_01J5Y8R4K2",
"lastSuccessfulSyncAt": "2026-08-18T18:30:00.000Z",
"recordsObserved": 0,
"errorCode": null,
"limitations": [
"No limitations reported."
]
}
],
"limitations": [
"No limitations reported."
]
},
"observations": [
{
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"sourceKind": "work",
"sourceCursor": "evt_01J5Y8R4K2",
"observedAt": "2026-08-18T18:30:00.000Z",
"capturedAt": "2026-08-18T18:30:00.000Z",
"kind": "work",
"facts": {},
"evidenceRefs": [
{}
],
"claimStatus": "observed",
"confidence": 0,
"freshnessWatermark": "2026-08-18T18:30:00.000Z",
"transformationVersion": "work-v1"
}
],
"processCards": [
{
"processCandidateRef": {
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
},
"displayName": "Review the launch plan",
"observedCount": 0,
"confidence": 0,
"automationReadiness": 0
}
],
"confirmedProcessRefs": [
{
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
}
]
},
"meta": {
"apiVersion": "1",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}Discovery runs
Get a discovery run
Get one discovery result with its process candidates and evidence limits.
GET
/
discovery-runs
/
{runId}
Get a discovery run
curl --request GET \
--url https://useorgx.com/api/v1/discovery-runs/{runId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://useorgx.com/api/v1/discovery-runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/discovery-runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"run": {
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"mode": "bounded_sync",
"status": "queued",
"initiatedBy": {
"type": "human",
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101"
},
"query": "launch readiness",
"sourceKinds": [
"work"
],
"sourceCursors": {},
"observationCount": 0,
"candidateProcessCardCount": 0,
"citationCount": 0,
"costMicros": "120000",
"confidence": 0,
"startedAt": "2026-08-18T18:30:00.000Z",
"completedAt": "2026-08-18T18:30:00.000Z",
"sourceHealth": [
{
"sourceId": "92340ce0-9843-48dc-8014-d7c21c191b23",
"sourceKind": "work",
"status": "connected",
"cursor": "evt_01J5Y8R4K2",
"lastSuccessfulSyncAt": "2026-08-18T18:30:00.000Z",
"recordsObserved": 0,
"errorCode": null,
"limitations": [
"No limitations reported."
]
}
],
"limitations": [
"No limitations reported."
]
},
"observations": [
{
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"sourceKind": "work",
"sourceCursor": "evt_01J5Y8R4K2",
"observedAt": "2026-08-18T18:30:00.000Z",
"capturedAt": "2026-08-18T18:30:00.000Z",
"kind": "work",
"facts": {},
"evidenceRefs": [
{}
],
"claimStatus": "observed",
"confidence": 0,
"freshnessWatermark": "2026-08-18T18:30:00.000Z",
"transformationVersion": "work-v1"
}
],
"processCards": [
{
"processCandidateRef": {
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
},
"displayName": "Review the launch plan",
"observedCount": 0,
"confidence": 0,
"automationReadiness": 0
}
],
"confirmedProcessRefs": [
{
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
}
]
},
"meta": {
"apiVersion": "1",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}Authorizations
bearerAuthcookieAuth
OrgX API key, sent as Authorization: Bearer oxk_...
